Bug Hunting Session
Bug 75898 - Insert Row twice -> crash
Summary: Insert Row twice -> crash
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.2.1 release
Hardware: Other All
: high critical
Assignee: Miklos Vajna
URL:
Whiteboard: target:4.3.0 target:4.2.4
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-03-07 21:39 UTC by Björn Michaelsen
Modified: 2014-03-31 01:46 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Michaelsen 2014-03-07 21:39:39 UTC
1/ create new document
2/ insert table with one row
3/ select all (Ctrl-A)
4/ Press "insert row" twice

Expected behaviour:
Two new rows

Actual behaviour:
First time no change, second time crash

this is likely related/dupe of fdo#74854.
Comment 1 Björn Michaelsen 2014-03-07 21:40:47 UTC
Cant check master here right now, just filing it so it doesnt get lost.
Comment 2 Jorendc 2014-03-07 23:09:00 UTC
Reproducible, tested using Linux Mint 16 x64 with LibreOffice Build ID: 01de94471c20a8b9c36d6080638d70e57eac55bf (so it do contain http://cgit.freedesktop.org/libreoffice/core/commit/?id=ec62a7ed2c25e2034e9199ba8b846771d71e1d77)

Kind regards,
Joren
Comment 3 Miklos Vajna 2014-03-13 12:15:46 UTC
Aha, after talking to Joren on IRC, I can reproduce this. Have to use the toolbar button, doesn't happen when using the menu entry.
Comment 4 Commit Notification 2014-03-13 14:42:48 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f1f9b5b1b73218274ee69cf4e518c2ba926458af

fdo#75898 SwFEShell::InsertRow: fix this in case bSelectAll == true



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Miklos Vajna 2014-03-13 14:46:15 UTC
-4-2 backport review: https://gerrit.libreoffice.org/8574
Comment 6 Commit Notification 2014-03-14 09:55:18 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9b0cffd68316e6ecb6f11f77504bca64ff34ba72&h=libreoffice-4-2

fdo#75898 SwFEShell::InsertRow: fix this in case bSelectAll == true


It will be available in LibreOffice 4.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.